summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authornot_anonymous2015-07-05 17:55:14 -0600
committernot_anonymous2015-07-05 17:55:14 -0600
commit4191d2c546771ad964e03a335e6df364083670fb (patch)
treed33b4c26e8b3d815ad6b6fee89cc122e735e7114
downloadaur-4191d2c546771ad964e03a335e6df364083670fb.tar.gz
Initial import
-rw-r--r--.SRCINFO26
-rw-r--r--PKGBUILD45
-rw-r--r--aldo.desktop16
-rw-r--r--aldo.install11
-rw-r--r--hamradio.pngbin0 -> 315 bytes
5 files changed, 98 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..7a8b06a3767
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,26 @@
+pkgbase = aldo
+ pkgdesc = Morse code tutor with a random number generator & skill level testing
+ pkgver = 0.7.7
+ pkgrel = 2
+ url = http://aldo.nongnu.org/
+ install = aldo.install
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = libao
+ depends = desktop-file-utils
+ source = http://savannah.nongnu.org/download/aldo/aldo-0.7.7.tar.bz2
+ source = aldo.install
+ source = aldo.desktop
+ source = hamradio.png
+ md5sums = 7baefd992953a0f4c56085af835495b1
+ md5sums = f7e1e2722c972f3420cfd69492c79073
+ md5sums = db0b42dd5494090f4382d854433eba06
+ md5sums = b24ce93a15cca693efa662ab90ae0fda
+ sha256sums = f1b8849d09267fff3c1f5122097d90fec261291f51b1e075f37fad8f1b7d9f92
+ sha256sums = f703f8de14eb277dc72cc837086fbd55f5d772049a44200686c8ae76348f6614
+ sha256sums = 34db7c1c2ac1b2d5d434a4fbf8c6b87f62f7fe1e873b9b236c854fb4ff87962d
+ sha256sums = e55aabbf91ad110672d87290582705a55c6a52bb5b487c7bd195f5e18cc550b3
+
+pkgname = aldo
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..7ff4c574692
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,45 @@
+# Maintainer: not_anonymous <nmlibertarian@gmail.com>
+# Contributor: Vitaliy Berdinskikh ur6lad[at]i.ua
+# Original Submission: Bob Finch <w9ya@qrparci.net>
+
+pkgname=aldo
+pkgver=0.7.7
+pkgrel=2
+pkgdesc="Morse code tutor with a random number generator & skill level testing"
+arch=('i686' 'x86_64')
+url="http://aldo.nongnu.org/"
+license=('GPL')
+depends=('libao' 'desktop-file-utils')
+install=$pkgname.install
+source=(http://savannah.nongnu.org/download/$pkgname/$pkgname-$pkgver.tar.bz2
+ $pkgname.install
+ $pkgname.desktop
+ hamradio.png)
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+
+ make DESTDIR=$pkgdir install
+
+ mkdir -p $pkgdir/usr/share/$pkgname
+ install -m644 README $pkgdir/usr/share/$pkgname/
+
+ mkdir -p $pkgdir/usr/share/{applications,pixmaps}
+ install -m644 ../*.desktop $pkgdir/usr/share/applications/
+ install -m644 ../hamradio.png $pkgdir/usr/share/pixmaps/
+}
+md5sums=('7baefd992953a0f4c56085af835495b1'
+ 'f7e1e2722c972f3420cfd69492c79073'
+ 'db0b42dd5494090f4382d854433eba06'
+ 'b24ce93a15cca693efa662ab90ae0fda')
+sha256sums=('f1b8849d09267fff3c1f5122097d90fec261291f51b1e075f37fad8f1b7d9f92'
+ 'f703f8de14eb277dc72cc837086fbd55f5d772049a44200686c8ae76348f6614'
+ '34db7c1c2ac1b2d5d434a4fbf8c6b87f62f7fe1e873b9b236c854fb4ff87962d'
+ 'e55aabbf91ad110672d87290582705a55c6a52bb5b487c7bd195f5e18cc550b3')
diff --git a/aldo.desktop b/aldo.desktop
new file mode 100644
index 00000000000..26039f3d57d
--- /dev/null
+++ b/aldo.desktop
@@ -0,0 +1,16 @@
+[Desktop Entry]
+Name=Aldo
+Name[en_US]=Aldo
+Comment=Morse Code Testing/Trainer
+Comment[en_US]=Morse Code Testing/Trainer
+Encoding=UTF-8
+Exec=aldo
+Icon=hamradio.png
+MimeType=text
+StartupNotify=true
+Terminal=true
+TerminalOptions=
+Type=Application
+Categories=Application;HamRadio;
+X-DCOP-ServiceType=none
+X-KDE-SubstituteUID=false
diff --git a/aldo.install b/aldo.install
new file mode 100644
index 00000000000..2eaa60550d5
--- /dev/null
+++ b/aldo.install
@@ -0,0 +1,11 @@
+post_install() {
+ update-desktop-database -q
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ post_install $1
+}
diff --git a/hamradio.png b/hamradio.png
new file mode 100644
index 00000000000..0a5b0b4b649
--- /dev/null
+++ b/hamradio.png
Binary files differ